com.google.cloud.dataflow.sdk.transforms.windowing

## Class WindowFn.AssignContext

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn.AssignContext

Enclosing class:
  WindowFn<T,W extends BoundedWindow>

    public abstract class WindowFn.AssignContext
    extends Object

Information available when running `WindowFn.assignWindows(com.google.cloud.dataflow.sdk.transforms.windowing.WindowFn<T, W>.AssignContext)`.

### Constructor Summary

Constructors
Constructor and Description
`AssignContext()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract T` `element()` Returns the current element.
`abstract Instant` `timestamp()` Returns the timestamp of the current element.
`abstract Collection<? extends BoundedWindow>` `windows()` Returns the windows the current element was in, prior to this `WindowFn` being called.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AssignContext

    public AssignContext()

### Method Detail

#### element

    public abstract T element()

Returns the current element.

#### timestamp

    public abstract Instant timestamp()

Returns the timestamp of the current element.

#### windows

    public abstract Collection<? extends BoundedWindow> windows()

Returns the windows the current element was in, prior to this `WindowFn` being called.